- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.ListOntologyRecordsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords/list#body.aspect_1)

**Full name**: projects.locations.instances.ontologyRecords.list

Lists all ontology records defined in the instance.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/ontologyRecords`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list OntologyRecords for. Format: projects/{project}/locations/{location}/instances/{instance}/ontologyRecords |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of OntologyRecords to return. The service may return fewer than this value. If unspecified, at most 50 OntologyRecords will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `skip` | `integer` Optional. Provide this to retrieve the subsequent page, by skipping the previous pages. When paginating, all other parameters provided to `ontologyRecords.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of OntologyRecords. Supported filter fields: \* `displayName`: Filter by the user-facing name. Example: `filter="displayName='Triage'"` |
| `orderBy` | `string` Optional. Configures ordering of OntologyRecords in the response. If not specified, OntologyRecords are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. For example: "createTime desc, updateTime" Supported fields: \* `order` \* `displayName` |

### Request body

The request body must be empty.

### Response body

Response message for ontologyRecords.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "ontologyRecords": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords#OntologyRecord`) } ], "totalSize": integer } ``` |

| Fields ||
|---|---|
| `ontologyRecords[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords#OntologyRecord`)`` The list of OntologyRecords. Ordered by Id by default. |
| `totalSize` | `integer` The total number of OntologyRecords includes filter without pagination. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.ontologyRecords.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).